Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 2541083002: [ios] Updates ios DEPS files to mirror desktop DEPS files. (Closed)

Created:
2 years, 9 months ago by rohitrao (ping after 24h)
Modified:
2 years, 9 months ago
CC:
chromium-reviews, pkl (ping after 24h if needed), sdefresne+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[ios] Updates ios DEPS files to mirror desktop DEPS files. Updates ios DEPS files to mirror the desktop DEPS files. For example, the rules in ios/DEPS roughly resemble the rules in DEPS, and the rules in ios/chrome/DEPS roughly resemble the rules in chrome/DEPS. Also adds some new rules to accomodate iOS code that will be landing in the near future. BUG=665969 Committed: https://crrev.com/098884e1c4dbe4a833eaa7bbf55bebbba2186220 Cr-Commit-Position: refs/heads/master@{#436313}

Patch Set 1 #

Total comments: 6

Patch Set 2 : Review. #

Total comments: 1

Patch Set 3 : Remove crypto/third_party. #

Patch Set 4 : Rebased. #

Patch Set 5 : Remove libxml for now. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+47 lines, -10 lines) Patch
M ios/DEPS View 1 1 chunk +5 lines, -3 lines 0 comments Download
M ios/chrome/DEPS View 1 2 1 chunk +15 lines, -0 lines 0 comments Download
M ios/chrome/app/DEPS View 1 chunk +22 lines, -0 lines 0 comments Download
M ios/chrome/browser/DEPS View 1 2 3 4 5 chunks +5 lines, -7 lines 0 comments Download

Messages

Total messages: 29 (15 generated)
rohitrao (ping after 24h)
You need LGTM from owners of depends-on paths in DEPS that were modified in this ...
2 years, 9 months ago (2016-11-30 16:52:53 UTC) #2
sdefresne
lgtm https://codereview.chromium.org/2541083002/diff/1/ios/DEPS File ios/DEPS (right): https://codereview.chromium.org/2541083002/diff/1/ios/DEPS#newcode9 ios/DEPS:9: "-ios/third_party/ochamcrest", Can you add "-ios/third_party/EarlGrey" here (for the ...
2 years, 9 months ago (2016-11-30 16:58:54 UTC) #3
rohitrao (ping after 24h)
https://codereview.chromium.org/2541083002/diff/1/ios/DEPS File ios/DEPS (right): https://codereview.chromium.org/2541083002/diff/1/ios/DEPS#newcode9 ios/DEPS:9: "-ios/third_party/ochamcrest", On 2016/11/30 16:58:54, sdefresne wrote: > Can you ...
2 years, 9 months ago (2016-11-30 17:12:48 UTC) #4
rohitrao (ping after 24h)
OWNERS, please review the following DEPS additions. All of these are in ios, either reshuffling ...
2 years, 9 months ago (2016-11-30 17:24:19 UTC) #6
sdefresne
components/ lgtm (as those components were created to share the code with iOS)
2 years, 9 months ago (2016-11-30 17:25:48 UTC) #7
davidben
lgtm https://codereview.chromium.org/2541083002/diff/20001/ios/chrome/DEPS File ios/chrome/DEPS (right): https://codereview.chromium.org/2541083002/diff/20001/ios/chrome/DEPS#newcode3 ios/chrome/DEPS:3: "-crypto/third_party", This directory doesn't exist anymore. (I'll go ...
2 years, 9 months ago (2016-11-30 17:30:24 UTC) #8
Mark Mentovai
LGTM otherwise
2 years, 9 months ago (2016-11-30 17:31:33 UTC) #9
Scott Hess - ex-Googler
lgtm
2 years, 9 months ago (2016-11-30 17:36:48 UTC) #10
sky
LGTM
2 years, 9 months ago (2016-11-30 21:26:49 UTC) #11
rohitrao (ping after 24h)
+bsalomon who was asked to do a different review involving ios skia deps
2 years, 9 months ago (2016-12-02 11:53:29 UTC) #17
bsalomon
lgtm
2 years, 9 months ago (2016-12-05 15:57:08 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2541083002/70001
2 years, 9 months ago (2016-12-05 16:11:36 UTC) #25
commit-bot: I haz the power
Committed patchset #5 (id:70001)
2 years, 9 months ago (2016-12-05 16:26:17 UTC) #27
commit-bot: I haz the power
2 years, 9 months ago (2016-12-05 16:28:58 UTC) #29
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/098884e1c4dbe4a833eaa7bbf55bebbba2186220
Cr-Commit-Position: refs/heads/master@{#436313}

Powered by Google App Engine
This is Rietveld 408576698